RABBITMQ-SERVER(8)

NAME
rabbitmq-server - starts a RabbitMQ node

SYNOPSIS
rabbitmq-server [-detached]

DESCRIPTION
RabbitMQ is an open source multi-protocol messaging broker.

Running rabbitmq-server starts a RabbitMQ node in the foreground. The node will display a startup banner and report when startup is complete. To shut down the server, use service management tools or rabbitmqctl(8).

ENVIRONMENT

RABBITMQ_CONFIG_FILE
    Defaults to /etc/rabbitmq/rabbitmq.conf. Node configuration file path. To learn more, see the RabbitMQ Configuration guide: https://www.rabbitmq.com/configure.html

RABBITMQ_MNESIA_BASE
    Defaults to /var/lib/rabbitmq/mnesia. Node data directory will be located (or created) in this directory. To learn more, see the RabbitMQ File and Directory guide: https://www.rabbitmq.com/relocate.html

RABBITMQ_LOG_BASE
    Defaults to /var/log/rabbitmq. Log files generated by the server will be placed in this directory. To learn more, see the RabbitMQ Logging guide: https://www.rabbitmq.com/logging.html

RABBITMQ_NODENAME
    Defaults to "rabbit@". followed by the computed hostname. Can be used to run multiple nodes on the same host. Every node in a cluster must have a unique RABBITMQ_NODENAME To learn more, see the RabbitMQ Clustering guide: https://www.rabbitmq.com/clustering.html

RABBITMQ_NODE_IP_ADDRESS
    By default RabbitMQ will bind to all IPv6 and IPv4 interfaces available. This variable limits the node to one network interface or address family. To learn more, see the RabbitMQ Networking guide: https://www.rabbitmq.com/networking.html

RABBITMQ_NODE_PORT
    AMQP 0-9-1 and AMQP 1.0 port. Defaults to 5672. To learn more, see the RabbitMQ Networking guide: https://www.rabbitmq.com/networking.html

OPTIONS

-detached
    Start the server process in the background. Note that this will cause the pid not to be written to the pid file.

    For example, runs RabbitMQ AMQP server in the background:

        rabbitmq-server -detached

SEE ALSO
rabbitmqctl(8), rabbitmq-diagnostics(8), rabbitmq-plugins(8), rabbitmq-queues(8), rabbitmq-upgrade(8), rabbitmq-service(8), rabbitmq-env.conf(5), rabbitmq-echopid(8)

AUTHOR
The RabbitMQ Team <info@rabbitmq.com>